<h1 mat-dialog-title>Check into room {{room.number}}</h1>
<form (ngSubmit)="onCheckinClick()">
<div mat-dialog-content>
  <p>You can provide your delayed checkin time or simple leave this field untouched to check in now.</p>
  <mat-form-field appearance="outline">
    <mat-label>Room check in time</mat-label>
    <input name="checkinTime" matInput [(ngModel)]="checkinTime" [ngxTimepicker]="picker" [format]="24" [max]="now" readonly>
    <ngx-material-timepicker #picker></ngx-material-timepicker>
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button type="button" (click)="onNoClick()">No Thanks</button>
  <button mat-button color="accent" type="submit" cdkFocusInitial>Check in</button>
</div>
</form>
